package com.gh.gamecenter.entity

import android.os.Parcelable
import com.gh.gamecenter.qa.entity.SourceEntity
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

@Parcelize
class RatingReplyEntity(
    @SerializedName("_id")
    val id: String = "",
    val content: String = "",
    val time: Long = 0,
    val me: MeEntity = MeEntity(),
    val user: UserEntity = UserEntity(),
    var vote: Int = 0,
    val weight: Int = 0,
    val parent: Parent? = null,
    var isHighlight: Boolean = false,
    @SerializedName("_source")
    val source: SourceEntity? = null
) : Parcelable {
    @Parcelize
    class Parent(val user: UserEntity) : Parcelable
}